| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | Friends | List of all members
Rndm::BreitWignerCutOff Class Reference

Parameters for the BreitWigner distributed random number generation with cut off;. More...

`#include <GaudiKernel/RndmGenerators.h>`

Inheritance diagram for Rndm::BreitWignerCutOff:
[legend]
Collaboration diagram for Rndm::BreitWignerCutOff:
[legend]

## Public Member Functions
| BreitWignerCutOff (double m, double g, double c)
| Standard Constructor. More...
| ~BreitWignerCutOff () override=default
| Standard Destructor. More...
double | mean () const
| Access mean value of the distribution. More...
double | gamma () const
| Access width of the distribution. More...
double | cutOff () const
| Access width of the distribution. More...
BreitWignerCutOff * | clone () const override
| Clone parameters. More...
Public Member Functions inherited from IRndmGen::Param
| Param (const InterfaceID &type=IID_IRndmFlat)
| Standard constructor. More...
virtual | ~Param ()=default
| Standard Destructor. More...
virtual const InterfaceID & | type () const
| Parameter's type. More...

## Static Public Member Functions
static const InterfaceID & | typeID ()
| Identifier for factory. More...

## Protected Attributes
double | m_mean
| Mean, Gamma and cut off parameter of the Breit-Wigner distribution. More...
double | m_gamma
double | m_cut
Protected Attributes inherited from IRndmGen::Param
const InterfaceID | m_type
| Type of the generator. More...

## Friends
class | Generator< BreitWignerCutOff >

## Detailed Description

Parameters for the BreitWigner distributed random number generation with cut off;.

Definition at line 145 of file RndmGenerators.h.

## Constructor & Destructor Documentation

Rndm::BreitWignerCutOff::BreitWignerCutOff | ( | double | m,
|  | double | g,
|  | double | c
| ) |  |
| inline

Standard Constructor.

Definition at line 155 of file RndmGenerators.h.

156 : IRndmGen::Param( IID_IRndmBreitWignerCutOff ), m_mean( m ), m_gamma( g ), m_cut( c )
157 {
158 }
Rndm::BreitWignerCutOff::m_mean
double m_mean
Mean, Gamma and cut off parameter of the Breit-Wigner distribution.
Definition: RndmGenerators.h:151
Rndm::BreitWignerCutOff::m_gamma
double m_gamma
Definition: RndmGenerators.h:151
gaudirun.c
c
Definition: gaudirun.py:407
IRndmGen::Param
Definition: IRndmGen.h:40
Gaudi::Units::m
constexpr double m
Definition: SystemOfUnits.h:94
Rndm::BreitWignerCutOff::m_cut
double m_cut
Definition: RndmGenerators.h:151
gaudirun.g
dictionary g
Definition: gaudirun.py:439

Rndm::BreitWignerCutOff::~BreitWignerCutOff | ( |  | ) |
| override default

Standard Destructor.

## Member Function Documentation

BreitWignerCutOff* Rndm::BreitWignerCutOff::clone | ( |  | ) | const
| inline override virtual

Clone parameters.

Implements IRndmGen::Param.

Definition at line 170 of file RndmGenerators.h.

170 { return new BreitWignerCutOff( m_mean, m_gamma, m_cut ); }
Rndm::BreitWignerCutOff::m_mean
double m_mean
Mean, Gamma and cut off parameter of the Breit-Wigner distribution.
Definition: RndmGenerators.h:151
Rndm::BreitWignerCutOff::m_gamma
double m_gamma
Definition: RndmGenerators.h:151
Rndm::BreitWignerCutOff::m_cut
double m_cut
Definition: RndmGenerators.h:151
Rndm::BreitWignerCutOff::BreitWignerCutOff
BreitWignerCutOff(double m, double g, double c)
Standard Constructor.
Definition: RndmGenerators.h:155

double Rndm::BreitWignerCutOff::cutOff | ( |  | ) | const
| inline

Access width of the distribution.

Definition at line 166 of file RndmGenerators.h.

166 { return m_cut; }
Rndm::BreitWignerCutOff::m_cut
double m_cut
Definition: RndmGenerators.h:151

double Rndm::BreitWignerCutOff::gamma | ( |  | ) | const
| inline

Access width of the distribution.

Definition at line 164 of file RndmGenerators.h.

164 { return m_gamma; }
Rndm::BreitWignerCutOff::m_gamma
double m_gamma
Definition: RndmGenerators.h:151

double Rndm::BreitWignerCutOff::mean | ( |  | ) | const
| inline

Access mean value of the distribution.

Definition at line 162 of file RndmGenerators.h.

162 { return m_mean; }
Rndm::BreitWignerCutOff::m_mean
double m_mean
Mean, Gamma and cut off parameter of the Breit-Wigner distribution.
Definition: RndmGenerators.h:151

static const InterfaceID& Rndm::BreitWignerCutOff::typeID | ( |  | ) |
| inline static

Identifier for factory.

Definition at line 168 of file RndmGenerators.h.

168 { return IID_IRndmBreitWignerCutOff; }

## Friends And Related Function Documentation

friend class Generator< BreitWignerCutOff >
| friend

Definition at line 147 of file RndmGenerators.h.

## Member Data Documentation

double Rndm::BreitWignerCutOff::m_cut
| protected

Definition at line 151 of file RndmGenerators.h.

double Rndm::BreitWignerCutOff::m_gamma
| protected

Definition at line 151 of file RndmGenerators.h.

double Rndm::BreitWignerCutOff::m_mean
| protected

Mean, Gamma and cut off parameter of the Breit-Wigner distribution.

Definition at line 151 of file RndmGenerators.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/RndmGenerators.h